package locadora.modelo.user;

import static org.junit.Assert.assertEquals;

import org.junit.Before;
import org.junit.Test;


public class MensagemTest {
	private Mensagem msn;
	  
	@Before
	public void criaMensagem() {
		msn = new Mensagem();
		msn.setAutorMensagem("Joca");
		msn.setDescricao("Testando");
		msn.setEmailAutorMensagem("a@a.com");
	}
	
	@Test
	public void testaQueAMensagemTemAutor() {
		assertEquals("Indicaçaõ deve ter nome Terror", "Joca", msn.getAutorMensagem());
	}
	@Test
	public void testaQueAMensagemTemDescricao() {
		assertEquals("Mensagem deve ter descrição Testando", "Testando", msn.getDescricao());
	}
	@Test
	public void testaQueAMensagemTemEmail() {
		assertEquals("Mensagem deve ter email a@a.com", "a@a.com", msn.getEmailAutorMensagem());
	}
}
